[AI72]Obtain Offline History Record

post
https://connect.patsnap.com/ai/sso/agent/history
Try in Sandbox

This interface serves as an optimized function for the AI API, supporting users in integrating history record into their local systems.

startTime and endTime are optional parameters, if not provided, all history records will be queried; page defaults to 1; email and phone must have at least one non-empty value

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
company_id
Required
stringabc123
Company ID
email
Required
stringuser@example.com
User email
end_time
integer<int64>1761580799999
End timestamp (milliseconds)
page
integer<int32>1
Page number, starting from 1
phone
Required
string12345678900
phone number
start_time
integer<int64>1758902400000
Start timestamp (milliseconds)

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
page
integer<int32>1
Current page number
limit
integer<int32>20
Records per page
total
integer<int64>100
Total number of records
history_maps
array[ { "data": [ { "id": "2a7a4ddd-7f5d-4266-a96e-13a57095db79", "link": "/ai/agent-flow/2a7a4ddd-7f5d-4266-a96e-13a57095db79", "time": "13:58", "source": "AI_GENERATE", "message": "如何提高锂电池能量密度到260瓦时/千克(Wh/kg)且体积没有变大 热管理安全阈值\n,材料成本上限\n,生产工艺兼容性 ", "rawType": "ai_generate", "icon_url": "https://qa-patsnap-import-workspace.cdn.zhihuiya.com/agent/9b6135cd012c425e84edf84e6b03e366-image.jpeg", "icon_path": "agent/9b6135cd012c425e84edf84e6b03e366-image.jpeg", "created_at": "23 Oct 2025 13:58", "business_id": "2a7a4ddd-7f5d-4266-a96e-13a57095db79", "business_name": "Technical Solution Exploration" }, { "id": "2570aeaf-7999-430b-9bef-c43fcda4d928", "link": "/ai/agent-flow/2570aeaf-7999-430b-9bef-c43fcda4d928", "time": "13:39", "source": "AI_GENERATE", "message": "如何提高锂电池能量密度到260瓦时/千克(Wh/kg)且体积没有变大 热管理安全阈值\n,材料成本上限\n,生产工艺兼容性 ", "rawType": "ai_generate", "icon_url": "https://qa-patsnap-import-workspace.cdn.zhihuiya.com/agent/9b6135cd012c425e84edf84e6b03e366-image.jpeg", "icon_path": "agent/9b6135cd012c425e84edf84e6b03e366-image.jpeg", "created_at": "23 Oct 2025 13:39", "business_id": "2570aeaf-7999-430b-9bef-c43fcda4d928", "business_name": "Technical Solution Exploration" } ], "date": "2025-10-23" } ]
History records grouped by date
data
array[ { "id": "2a7a4ddd-7f5d-4266-a96e-13a57095db79", "link": "/ai/agent-flow/2a7a4ddd-7f5d-4266-a96e-13a57095db79", "time": "13:58", "source": "AI_GENERATE", "message": "如何提高锂电池能量密度到260瓦时/千克(Wh/kg)且体积没有变大 热管理安全阈值\n,材料成本上限\n,生产工艺兼容性 ", "rawType": "ai_generate", "icon_url": "https://qa-patsnap-import-workspace.cdn.zhihuiya.com/agent/9b6135cd012c425e84edf84e6b03e366-image.jpeg", "icon_path": "agent/9b6135cd012c425e84edf84e6b03e366-image.jpeg", "created_at": "23 Oct 2025 13:58", "business_id": "2a7a4ddd-7f5d-4266-a96e-13a57095db79", "business_name": "Technical Solution Exploration" } ]
List of history records for this date
q
stringquantum computing AND artificial intelligence
Query keywords or query string
id
string2a7a4ddd-7f5d-4266-a96e-13a57095db79
History record ID
efq
stringAPD:[20230101 TO 20231231]
Extended field query
link
string/ai/agent-flow/2a7a4ddd-7f5d-4266-a96e-13a57095db79
Link URL for the history record
time
string13:58
Created time (hour:minute only) in format: HH:mm
count
object{ "total": 1500, "granted": 800, "application": 700 }
Search result count statistics (patent count, etc.)
source
stringAI_GENERATE
History record source
message
string如何提高锂电池能量密度到260瓦时/千克(Wh/kg)且体积没有变大 热管理安全阈值\n,材料成本上限\n,生产工艺兼容性
Message or description of the history record
icon_url
stringhttps://qa-patsnap-import-workspace.cdn.zhihuiya.com/agent/9b6135cd012c425e84edf84e6b03e366-image.jpeg
Full URL of the icon
raw_type
stringai_generate
History record type
icon_path
stringagent/9b6135cd012c425e84edf84e6b03e366-image.jpeg
Icon path
patent_id
stringUS20240123456A1
Patent ID
created_at
string23 Oct 2025 13:58
Created time in format: yyyy-MM-dd HH:mm or dd MMM yyyy HH:mm
extra_info
object{ "region": "US", "category": "technology" }
Extra information
business_id
string2a7a4ddd-7f5d-4266-a96e-13a57095db79
Business ID (e.g., seekId, mindId, researchId)
business_name
stringTechnical Solution Exploration
Business name
date
string2025-10-23
Date in format: yyyy-MM-dd
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "page": 1,
    "limit": 20,
    "total": 100,
    "history_maps": [
      {
        "data": [
          {
            "q": "quantum computing AND artificial intelligence",
            "id": "2a7a4ddd-7f5d-4266-a96e-13a57095db79",
            "efq": "APD:[20230101 TO 20231231]",
            "link": "/ai/agent-flow/2a7a4ddd-7f5d-4266-a96e-13a57095db79",
            "time": "13:58",
            "count": {
              "total": 1500,
              "granted": 800,
              "application": 700
            },
            "source": "AI_GENERATE",
            "message": "如何提高锂电池能量密度到260瓦时/千克(Wh/kg)且体积没有变大 热管理安全阈值\\n,材料成本上限\\n,生产工艺兼容性",
            "icon_url": "https://qa-patsnap-import-workspace.cdn.zhihuiya.com/agent/9b6135cd012c425e84edf84e6b03e366-image.jpeg",
            "raw_type": "ai_generate",
            "icon_path": "agent/9b6135cd012c425e84edf84e6b03e366-image.jpeg",
            "patent_id": "US20240123456A1",
            "created_at": "23 Oct 2025 13:58",
            "extra_info": {
              "region": "US",
              "category": "technology"
            },
            "business_id": "2a7a4ddd-7f5d-4266-a96e-13a57095db79",
            "business_name": "Technical Solution Exploration"
          }
        ],
        "date": "2025-10-23"
      }
    ]
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms